package immibis.ars.beams.logictypes;

import immibis.ars.beams.EntityFilter;
import immibis.ars.beams.LogicType;
import immibis.ars.beams.TileUpgradeUnit;

import java.util.Set;

import net.minecraft.entity.Entity;

public class RedstoneInput extends LogicType {

	@Override
	public EntityFilter createFilter(final TileUpgradeUnit container, EntityFilter[] in) {
		return new EntityFilter() {
			@Override
			public Set<Entity> filter(Set<Entity> in) {
				if(!container.worldObj.isBlockIndirectlyGettingPowered(container.xCoord, container.yCoord, container.zCoord))
					in.clear();
				return in;
			}
		};
	}

}
