package immibis.ars.beams;

import java.util.List;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class ItemLogicCard extends Item {
	public ItemLogicCard(int id_minus_256) {
		super(id_minus_256);
		
		setTextureFile("/immibis/ars/textures/tesla.png");
		
		setHasSubtypes(true);
		
		LogicType.init();
		
		setCreativeTab(CreativeTabs.tabMisc);
	}
	
	@Override
	public String getItemNameIS(ItemStack is) {
		return "immibis.ars.logiccard."+is.getItemDamage();
	}
	
	@Override
	public int getIconFromDamage(int meta) {
		return 32 + meta;
	}
	
	@Override
	public void getSubItems(int id, CreativeTabs tab, List list) {
		for(int meta : LogicType.getAllTypeIDs())
			list.add(new ItemStack(this, 1, meta));
	}
}
